Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163741 - qetharp 'Operation not supported' on non-layer2 guestlan
Summary: qetharp 'Operation not supported' on non-layer2 guestlan
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: s390
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jan Glauber
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 168429
TreeView+ depends on / blocked
 
Reported: 2005-07-20 18:54 UTC by David Milburn
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-07 19:22:13 UTC


Attachments (Terms of Use)
patch to enable qetharp processing for guestlan (deleted)
2005-07-20 18:56 UTC, David Milburn
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:808 normal SHIPPED_LIVE Important: kernel security update 2005-10-27 04:00:00 UTC
Red Hat Product Errata RHSA-2006:0132 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 3 2006-03-09 16:31:00 UTC

Description David Milburn 2005-07-20 18:54:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
Command "qetharp -q <interface>" does not return a list of IP/MAC addresses.


Version-Release number of selected component (if applicable):
kernel-2.6.9-11.EL

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL-4
2. Define a non-layer2 vswitch or qdio type guestlan
3. Couple a virtual nic to the non-layer2 lan and configure an interface on it
4. Attempt "qetharp -q <interface>"


Actual Results:  CP Q NIC 600
Adapter 0600  Type: QDIO      Name: UNASSIGNED  Devices: 3
 Port 0 MAC: 02-00-00-00-00-0C  VSWITCH: SYSTEM DT70      

CP Q LAN DT70                                                         
VSWITCH SYSTEM DT70     Type: VSWITCH Connected: 8    Maxconn: INFINITE
 PERSISTENT  RESTRICTED    NONROUTER                 Accounting: OFF  
 VLAN Unaware                                                         
 State: Ready                                                         
 IPTimeout: 5         QueueStorage: 8                                 
 Portname: DT70       RDEV: 0620 Controller: TCPIP    VDEV:  0620     

[root@ltic0035 ~]# cat /proc/qeth
devices                    CHPID interface  cardtype       port chksum
prio-q'ing rtr4 rtr6 fsz   cnt
-------------------------- ----- ---------- -------------- ---- ------
---------- ---- ---- ----- -----
0.0.0600/0.0.0601/0.0.0602 x0A   eth0       GuestLAN QDIO  0    sw   
always_q_2 no   n/a  64k   16
[root@ltic0035 ~]#

[root@ltic0035 ~]# qetharp -q eth0

Unsuccessful: Operation not supported


Expected Results:  That the qetharp would give back a listing with IP and MAC for my virtual nic.


Additional info:

The RHEL4 U1 kernel does not contain the qeth-qetharp fix published within
patch23 on developer works:
http://www.ibm.com/developerworks/linux/linux390/linux-2.6.5-s390-23-april2004.html

Comment 1 David Milburn 2005-07-20 18:56:06 UTC
Created attachment 116992 [details]
patch to enable qetharp processing for guestlan

Comment 9 Red Hat Bugzilla 2006-03-07 19:22:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html



Note You need to log in before you can comment on or make changes to this bug.